Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.register
Class QServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.jxml.qare.qhome.server.QHome
                        |
                        +--com.jxml.qare.qhome.server.P2PPlugin
                              |
                              +--com.jxml.qare.qhome.register.QServlet

All Implemented Interfaces:
  EventListener, InstallListener, QAppPlugin, Serializable, Servlet, ServletConfig

public class QServlet
extends P2PPlugin
implements InstallListener

See Also:
  Serialized Form

Fields inherited from class com.jxml.qare.qhome.server.P2PPlugin
`installEventRepository`

Fields inherited from class com.jxml.qare.qhome.server.QHome
`mailSender`

Constructor Summary
`QServlet()`

Method Summary
`void` | `appInit()` Invoked when a servlet is loaded, after install and DBAppDAta.purgePeerDeleted.
`void` | `destroy()`
`void` | `install()` Invoked only once the first time the servlet is loaded.
`void` | `installEvent(InstallEvent installEvent)`
`String` | `warFileName()` Returns the war file name identifying the application.

Methods inherited from class com.jxml.qare.qhome.server.P2PPlugin
`init, p2pAccount, p2pUser`

Methods inherited from class com.jxml.qare.qhome.server.QHome
`accountSetup, doGet, doOtherPost, doPost, error, getApplication, getApplication, getClassLoader, getPlugin, packageName, process, validLogin`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QServlet

    public QServlet()

Method Detail

### warFileName

    public String warFileName()

  Description copied from class: `P2PPlugin`
  Returns the war file name identifying the application. This method is implemented by the application's QServlet class.
  Overrides:
    `warFileName` in class `P2PPlugin`

### install

    public void install()
                 throws Exception

  Description copied from class: `P2PPlugin`
  Invoked only once the first time the servlet is loaded.
  Overrides:
    `install` in class `P2PPlugin`

### appInit

    public void appInit()
                 throws Exception

  Description copied from class: `P2PPlugin`
  Invoked when a servlet is loaded, after install and DBAppDAta.purgePeerDeleted. This method is optionally overridden by the application's QServlet class.
  Overrides:
    `appInit` in class `P2PPlugin`

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `P2PPlugin`

### installEvent

    public void installEvent(InstallEvent installEvent)
                      throws Exception

  Specified by:
    `installEvent` in interface `InstallListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD